##############################################################################
#
#    Accounting reports, for Odoo
#    Copyright © 2015 XCG Consulting <https://xcg-consulting.fr>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from odoo import api, models


class ReportAccountStatement(models.AbstractModel):
    _name = "report.account_report.report_account_statement"
    _description = "Report Account Statement"

    @api.model
    def _get_report_values(self, docids, data=None):
        debit_sum = 0.0
        credit_sum = 0.0
        balance_sum = 0.0

        for aml in self.env["account.move.line"].browse(docids):
            debit_sum += aml.debit
            credit_sum += aml.credit
            balance_sum += aml.reporting_balance

        return {
            "debit_sum": debit_sum,
            "credit_sum": credit_sum,
            "balance_sum": balance_sum,
        }
